package com.jh.core.security;

import com.jh.core.security.model.AppUser;
import com.jh.core.security.model.ResetPasswordToken;

public interface AuthServiceListener {

	default void registerUser(AppUser user, String password) {
		
	}
	
	default void initializeUser(AppUser user) {
		
	}
	
	default void generateResetToken(AppUser user, ResetPasswordToken token) {
		
	}

	default void deleteUser(AppUser user) {
		
	}
	
}
